Text to speech

Stream multilingual speech

Stream WAV audio as it is generated.

POST
/api/v1/tts/stream

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

language
Required
Language

Language used for pronunciation and voice conditioning.

Value in: "Afrikaans" | "Amharic" | "Arabic" | "English" | "French" | "German" | "Hausa" | "Igbo" | "Isixhosa" | "Italian" | "Kinyarwanda" | "Sesotho" | "Setswana" | "Shona" | "Spanish" | "Swahili" | "Twi" | "Yoruba" | "Zulu"

text
Required
Text

Text to synthesize. Limited to 10,000 Unicode characters.

Minimum length: 1Maximum length: 10000
curl -X POST "https://api.orbitalsai.com/api/v1/tts/stream" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "language": "Hausa",
    "text": "Sannu, muna maraba da ku."
  }'

Streaming WAV audio.